### File

`packages/eui-dynamic-forms-ui/src/lib/ux-dyn-container/ux-dyn-container.component.ts`

### Implements

`OnInit` `OnDestroy` `AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `ux-dyn-container`
styleUrls | `./ux-dyn-container.component.scss`
templateUrl | `./ux-dyn-container.component.html`

### Index

###### Properties
arrayField metaDataDropList metaDataIndex renderAllArray
###### Methods
checkIfIsAll
###### Inputs
formConfig frameId parent parentData

### Constructor

`constructor(dynGenericService: DynGenericService, dynMetaDataService: DynMetaDataService)`
Parameters :
Name | Type | Optional
dynGenericService | `DynGenericService` | No
dynMetaDataService | `DynMetaDataService` | No

### Inputs

formConfig
Type : `UxDynFormModelArray`

frameId
Type : `string`
Default value : `null`

parent
Type : `FormGroup | FormArray`

parentData
Type : `UxDynFormArrayParentData`

### Methods

checkIfIsAll
`checkIfIsAll()`
Returns : `void`

### Properties

arrayField

metaDataDropList
Type : `[]`
Default value : `[]`

metaDataIndex
Type : `string`

renderAllArray
Default value : `false`

# results matching ""

# No results matching ""